<?php



namespace ln\jobs;

use app\common\repositories\store\order\StoreRefundOrderRepository;
use ln\interfaces\JobInterface;
use think\facade\Log;

class CancelGroupBuyingJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
        //TODO 关闭子团,自动退款,关闭订单
            $make = app()->make(StoreRefundOrderRepository::class);
            $make->autoRefundOrder($data['order_id'], 1, $data['message']);
            $job->delete();
        }catch (\Exception $exception){
            Log::info(var_export($exception, 1));
        }
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
